summaryrefslogtreecommitdiff
path: root/bin/web
diff options
context:
space:
mode:
authorMarin Jankovski <marin@gitlab.com>2014-05-27 17:14:41 +0200
committerMarin Jankovski <marin@gitlab.com>2014-05-27 17:14:41 +0200
commit2341cefd6fa2811a1af41f2068554738d7eebfc4 (patch)
tree807a376257151323a203c39dd2ff08b23e29a21e /bin/web
parentcb4b504b26a269ba6ebb3fee165296a80d962c69 (diff)
downloadgitlab-ce-2341cefd6fa2811a1af41f2068554738d7eebfc4.tar.gz
Move from script to bin directory.
Diffstat (limited to 'bin/web')
-rwxr-xr-xbin/web49
1 files changed, 49 insertions, 0 deletions
diff --git a/bin/web b/bin/web
new file mode 100755
index 00000000000..1ad3b5d24b9
--- /dev/null
+++ b/bin/web
@@ -0,0 +1,49 @@
+#!/usr/bin/env bash
+
+cd $(dirname $0)/..
+app_root=$(pwd)
+
+unicorn_pidfile="$app_root/tmp/pids/unicorn.pid"
+unicorn_config="$app_root/config/unicorn.rb"
+
+function get_unicorn_pid
+{
+ local pid=$(cat $unicorn_pidfile)
+ if [ -z $pid ] ; then
+ echo "Could not find a PID in $unicorn_pidfile"
+ exit 1
+ fi
+ unicorn_pid=$pid
+}
+
+function start
+{
+ bundle exec unicorn_rails -D -c $unicorn_config -E $RAILS_ENV
+}
+
+function stop
+{
+ get_unicorn_pid
+ kill -QUIT $unicorn_pid
+}
+
+function reload
+{
+ get_unicorn_pid
+ kill -USR2 $unicorn_pid
+}
+
+case "$1" in
+ start)
+ start
+ ;;
+ stop)
+ stop
+ ;;
+ reload)
+ reload
+ ;;
+ *)
+ echo "Usage: RAILS_ENV=your_env $0 {start|stop|reload}"
+ ;;
+esac